Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Class DateType

    Object
      CodeList<DateType>
          DateType

All Implemented Interfaces:
  Serializable, Comparable<DateType>

    @UML(identifier="CI_DateType",
         specification=ISO_19115)
    public final class DateType

extends CodeList<DateType>

Identification of when a given event occurred

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static DateType` | `CREATION` Date identifies when the resource was brought into existence.
`static DateType` | `PUBLICATION` Date identifies when the resource was issued.
`static DateType` | `REVISION` Date identifies when the resource was examined or re-examined and improved or amended.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static DateType` | `valueOf(String code)` Returns the DateType that matches the given string, or returns a new one if none match it.
`static DateType[]` | `values()` Returns the list of `DateType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATION

    @UML(identifier="creation",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DateType CREATION

  Date identifies when the resource was brought into existence.

### PUBLICATION

    @UML(identifier="publication",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DateType PUBLICATION

  Date identifies when the resource was issued.

### REVISION

    @UML(identifier="revision",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DateType REVISION

  Date identifies when the resource was examined or re-examined and improved or amended.

Method Detail

### values

    public static DateType[] values()

  Returns the list of `DateType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<DateType>`

### valueOf

    public static DateType valueOf(String code)

  Returns the DateType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.